/* Returns a list of settings that indicate the action to be taken by a computer should a stop event (blue screen) occur */
strComputer = "."
objWMIService = GetObject("winmgmts:{impersonationLevel=impersonate}!\\" || strComputer || "\root\cimv2")
colRecoveryOptions = objWMIService~ExecQuery("Select * from Win32_OSRecoveryConfiguration")
DO objOption OVER colRecoveryOptions 
	SAY "Auto reboot:" objOption~AutoReboot
	SAY "Debug File Path:" objOption~DebugFilePath
	SAY "Debug Info Type:" objOption~DebugInfoType
	SAY "Kernel Dump Only:" objOption~KernelDumpOnly
	SAY "Name:" objOption~Name
	SAY "Overwrite Existing Debug File:" objOption~OverwriteExistingDebugFile
	SAY "Send Administrative Alert:" objOption~SendAdminAlert
	SAY "Write Debug Information:" objOption~WriteDebugInfo
	SAY "Write to System Log:" objOption~WriteToSystemLog
END