/* Enumerates all startup commands on a computer, including those found in the Startup folder and those found in the Registry */
strComputer = "."
objWMIService = GetObject("winmgmts:{impersonationLevel=impersonate}!\\" || strComputer || "\root\cimv2")
colStartupCommands = objWMIService~ExecQuery("Select * from Win32_StartupCommand")
DO objStartupCommand OVER colStartupCommands
	SAY "Command:" objStartupCommand~Command
	SAY "Description:" objStartupCommand~Description
	SAY "Location:" objStartupCommand~Location
	SAY "Name:" objStartupCommand~Name
	SAY "Setting ID:" objStartupCommand~SettingID
	SAY "User:" objStartupCommand~User
END